curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"objectId": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Aktualisiert mehrere Marketingevents im HubSpot-Portal basierend auf der objectId, soweit vorhanden.
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"objectId": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Zeitstempel, wann die Anfrage verarbeitet wurde.
Show child attributes
Zeitstempel, wann das Verarbeiten der Anfrage begonnen hat.
Der Status der Antwort.
CANCELED, COMPLETE, PENDING, PROCESSING Ergebnisobjekt der Anfrage.
Show child attributes
Zeitstempel, wann die Anfrage gesendet wurde.